#-------------------------------------------------------------------#
#  Package:  EMMIX-WIRE 
#  Version:  1.0-1
#  Depends:  R (>=2.0)
#  Authors:  Angus Ng, Geoff McLachlan, Kui Wang
#  Date   :  22 August, 2007.
#  Maintainer: Kui Wang (kwang@maths.uq.edu.au)
#  Copyright: ???
#  
#-------------------------------------------------------------------#


#-----------------------------------------
#  example:  simulated data
#-----------------------------------------

#  step 0: make the package ready

source('EmmixWire.R')


# step 1: extract the data from local file
# a normal way is to use 'dat<-read.table('datfile'), or read.cvs('datfile')
# if read from a text file

datobj<-dget('tmdat1.txt')
dat<-as.matrix(datobj$dat)



#  step 2:  figure out X,U,V,W

m<-20   # m is number of columns

U<-rep(1,m); 
V<-diag(m)
W <-rep(1,m)

# the data is simulated as a time series as follows

time<-seq(from=0,by=10,length=m)
X<-cbind(cos(2*pi*time/100),sin(2*pi*time/100))


# or alternatively,  
# >  X<-diag(m)

# step 3: specify the number of clusters you'll try
grp<-4

# step 4: call the main function to fit emmix-wire


obj<-emmixwire(dat,grp,X,W,U,V,debug=0,nvcov=0,itmax=1000,epsilon=0.00001) 


# step 5: print out the results for analysis

print(obj$clust)

# step 6: others,   
# for example: calculate the rand index
 
rand.index(datobj$clust,obj$clust)

# where datobj$clust is oringinal clusters
# obj$clust is what we get.


